Skip to main content
POST
/
api2
/
v1
/
glossaries
/
{glossaryUid}
/
upload
Upload glossary
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}/upload \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "langs": [
    "<string>"
  ],
  "createdTermsCount": 123,
  "updatedTermsCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

glossaryUid
string
required

Query Parameters

strictLangMatching
boolean
default:false
updateTerms
boolean
default:true

Body

application/octet-stream

The body is of type object.

Response

successful operation

langs
string[]
createdTermsCount
integer<int64>
updatedTermsCount
integer<int64>